Control Plane APIMaintenance windows
Update an existing maintenance window.
Path Parameters
id*string
Query Parameters
title?string
Updated title
customerMessage?string
Updated customer banner copy
internalDescription?string
Updated internal description
scheduledStartAt?string
Updated start time
Format
date-timescheduledEndAt?string
Updated end time
Format
date-timeversion?string
Concurrency tracking version @example 1
Format
int64Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/maintenance-windows/string"{ "maintenanceWindow": { "createdAt": "2019-08-24T14:15:22Z", "customerMessage": "string", "endedAt": "2019-08-24T14:15:22Z", "id": "string", "impactedApplications": [ { "applicationId": "string", "applicationName": "string", "capabilities": [ { "id": "string", "name": "string" } ] } ], "internalDescription": "string", "scheduledEndAt": "2019-08-24T14:15:22Z", "scheduledStartAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "status": "MAINTENANCE_STATUS_UNSPECIFIED", "title": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": "string" }}